// CA Service Desk Web Service Credentials
var SERVICE_DESK_URL = "http://localhost:9080/axis/services/USD_R11_WebService";
var SERVICE_DESK_USER = "ServiceDeskAdmin";
var SERVICE_DESK_PASSWORD_FILE = "conf/caservicedesk.pwd";

// Determines whether the data sync summary should be send to the xMatters Administrator
var SEND_SYNC_SUMMARY = true;

// The default user that quick message notifications will target for data sync reporting
var XMATTERS_ADMINISTRATOR = "companyadmin";

// Update to true to use managed login - see description below for details.
// Performs the user authentication by locating the policy through the plain text policy code, 
// finding the policyholder's public key associated with the policy, decrypting the encrypted 
// policy code, matching decrypted content with the policy code, and finally, opening 
// a session with a back-end server. For configuration of Managed Login on CA Service Desk, please
// refer to the CA Service Desk Manager Technical Reference Guide on how to creat the Manager 
// Certificate (p12) for use in this process.
var MANAGED_LOGIN = true;
var ENABLE_IMPERSONATE = true;

// Add Ignore to the response choices. This will allow a user to ignore a notification and update
// the activity log with a note stating that the notification was ignored by the target user.
// Set to false to remove this option.
var ADD_IGNORE_RESPONSE = true;

// For a managed login, this is the name of the policy file that will be loaded to
// retrieve the encrypted signature from. This file/path should be modified to match
// the location/file name on the CA Service Desk system. This is the default path that
// is specified in the CA Service Desk Manager Technical Reference Guide.
var ACCESS_POLICY_FILE_PATH = "C:/Program Files/CA/Service Desk Manager/bopcfg/www/CATALINA_BASE/webapps/axis/"
var ACCESS_POLICY = "DEFAULT";

// This is used for User Batch Synchronization to control the number of records returned
// from the query to retrieve users from CA SDM. 250 is the CA SDM Maximum value.
var CHUNK_SIZE = 250;

// The name of the filter used to suppress duplicate notifications for this integration
var DEDUPLICATOR_FILTER = "caservicedesk";

var log = new Logger();

