// This is for support of CA SDM where the getValidTransitions() webservice is not supported
// To use the static transitions defined below, set this variable to false
var USE_DYNAMIC_TRANSITIONS = true;

var transitions = new XML();
transitions = <transitions>
                <ticket type="in">
                  <status value="Acknowledged">
                    <transition code="AEUR" value="Awaiting End User Response"/>
                    <transition code="AWTVNDR" value="Awaiting Vendor"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="CLNRSLV" value="Closed Unresolved"/>
                    <transition code="WIP" value="In Progress"/>
                    <transition code="OP" value="Open"/>
                    <transition code="PNDCHG" value="Pending Change"/>
                    <transition code="RE" value="Resolved"/>
                  </status>
                  <status value="Awaiting End User Response">
                    <transition code="ACK" value="Acknowledged"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="CLNRSLV" value="Closed Unresolved"/>
                    <transition code="WIP" value="In Progress"/>
                    <transition code="OP" value="Open"/>
                    <transition code="RSCH" value="Researching"/>
                    <transition code="RE" value="Resolved"/>
                  </status>
                  <status value="Awaiting Vendor">
                    <transition code="ACK" value="Acknowledged"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="CLNRSLV" value="Closed Unresolved"/>
                    <transition code="WIP" value="In Progress"/>
                    <transition code="OP" value="Open"/>
                    <transition code="PNDCHG" value="Pending Change"/>
                    <transition code="RSCH" value="Researching"/>
                    <transition code="RE" value="Resolved"/>
                  </status>
                  <status value="Cancelled">
                    <transition code="CL" value="Closed"/>
                  </status>
                  <status value="Closed">
                    <transition code="ACK" value="Acknowledged"/>
                    <transition code="OP" value="Open"/>
                  </status>
                  <status value="Closed Unresolved">
                    <transition code="ACK" value="Acknowledged"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="OP" value="Open"/>
                  </status>
                  <status value="Hold">
                    <transition code="ACK" value="Acknowledged"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="WIP" value="In Progress"/>
                    <transition code="OP" value="Open"/>
                    <transition code="PNDCHG" value="Pending Change"/>
                    <transition code="RE" value="Resolved"/>
                  </status>
                  <status value="In Progress">
                    <transition code="ACK" value="Acknowledged"/>
                    <transition code="AEUR" value="Awaiting End User Response"/>
                    <transition code="AWTVNDR" value="Awaiting Vendor"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="CLNRSLV" value="Closed Unresolved"/>
                    <transition code="OP" value="Open"/>
                    <transition code="PNDCHG" value="Pending Change"/>
                    <transition code="RSCH" value="Researching"/>
                    <transition code="RE" value="Resolved"/>
                  </status>
                  <status value="Open">
                    <transition code="ACK" value="Acknowledged"/>
                    <transition code="AEUR" value="Awaiting End User Response"/>
                    <transition code="AWTVNDR" value="Awaiting Vendor"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="CLNRSLV" value="Closed Unresolved"/>
                    <transition code="WIP" value="In Progress"/>
                    <transition code="PNDCHG" value="Pending Change"/>
                    <transition code="RE" value="Resolved"/>
                  </status>
                  <status value="Pending Change">
                    <transition code="ACK" value="Acknowledged"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="WIP" value="In Progress"/>
                    <transition code="OP" value="Open"/>
                    <transition code="RSCH" value="Researching"/>
                    <transition code="RE" value="Resolved"/>
                  </status>
                  <status value="Researching">
                    <transition code="CL" value="Closed"/>
                    <transition code="OP" value="Open"/>
                    <transition code="RE" value="Resolved"/>
                  </status>
                  <status value="Resolved">
                    <transition code="AEUR" value="Awaiting End User Response"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="OP" value="Open"/>
                  </status>
                </ticket>
                <ticket type="pr">
                  <status value="Acknowledged">
                    <transition code="PRBAPP" value="Approved"/>
                    <transition code="CNCL" value="Cancelled"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="FIP" value="Fix in Progress"/>
                    <transition code="WIP" value="In Progress"/>
                    <transition code="KE" value="Known Error"/>
                    <transition code="OP" value="Open"/>
                    <transition code="PRBREJ" value="Rejected"/>
                    <transition code="RSCH" value="Researching"/>
                  </status>
                  <status value="Analysis Complete">
                    <transition code="ACK" value="Acknowledged"/>
                    <transition code="PRBAPP" value="Approved"/>
                    <transition code="CNCL" value="Cancelled"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="FIP" value="Fix in Progress"/>
                    <transition code="KE" value="Known Error"/>
                    <transition code="PNDCHG" value="Pending Change"/>
                    <transition code="PRBREJ" value="Rejected"/>
                  </status>
                  <status value="Approved">
                    <transition code="CL" value="Closed"/>
                    <transition code="FIP" value="Fix in Progress"/>
                    <transition code="FXD" value="Fixed"/>
                    <transition code="KE" value="Known Error"/>
                    <transition code="PNDCHG" value="Pending Change"/>
                  </status>
                  <status value="Awaiting Vendor">
                    <transition code="ACK" value="Acknowledged"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="CLNRSLV" value="Closed Unresolved"/>
                    <transition code="FXD" value="Fixed"/>
                    <transition code="WIP" value="In Progress"/>
                    <transition code="KE" value="Known Error"/>
                    <transition code="OP" value="Open"/>
                    <transition code="PNDCHG" value="Pending Change"/>
                    <transition code="RSCH" value="Researching"/>
                  </status>
                  <status value="Cancelled">
                    <transition code="CL" value="Closed"/>
                    <transition code="CLNRSLV" value="Closed Unresolved"/>
                    <transition code="KE" value="Known Error"/>
                    <transition code="OP" value="Open"/>
                  </status>
                  <status value="Closed">
                    <transition code="ACK" value="Acknowledged"/>
                    <transition code="KE" value="Known Error"/>
                    <transition code="OP" value="Open"/>
                  </status>
                  <status value="Closed Unresolved">
                    <transition code="ACK" value="Acknowledged"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="KE" value="Known Error"/>
                    <transition code="OP" value="Open"/>
                  </status>
                  <status value="Fix in Progress">
                    <transition code="CL" value="Closed"/>
                    <transition code="FXD" value="Fixed"/>
                    <transition code="KE" value="Known Error"/>
                    <transition code="RSCH" value="Researching"/>
                  </status>
                  <status value="Fixed">
                    <transition code="CL" value="Closed"/>
                    <transition code="KE" value="Known Error"/>
                  </status>
                  <status value="Hold">
                    <transition code="ACK" value="Acknowledged"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="FXD" value="Fixed"/>
                    <transition code="WIP" value="In Progress"/>
                    <transition code="KE" value="Known Error"/>
                    <transition code="OP" value="Open"/>
                    <transition code="PNDCHG" value="Pending Change"/>
                    <transition code="RSCH" value="Researching"/>
                  </status>
                  <status value="In Progress">
                    <transition code="ACK" value="Acknowledged"/>
                    <transition code="PRBAPP" value="Approved"/>
                    <transition code="CNCL" value="Cancelled"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="FIP" value="Fix in Progress"/>
                    <transition code="KE" value="Known Error"/>
                    <transition code="PNDCHG" value="Pending Change"/>
                    <transition code="PRBREJ" value="Rejected"/>
                    <transition code="RSCH" value="Researching"/>
                  </status>
                  <status value="Known Error">
                    <transition code="CL" value="Closed"/>
                    <transition code="FIP" value="Fix in Progress"/>
                    <transition code="FXD" value="Fixed"/>
                  </status>
                  <status value="Open">
                    <transition code="ACK" value="Acknowledged"/>
                    <transition code="PRBANCOMP" value="Analysis Complete"/>
                    <transition code="PRBAPP" value="Approved"/>
                    <transition code="CNCL" value="Cancelled"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="FIP" value="Fix in Progress"/>
                    <transition code="WIP" value="In Progress"/>
                    <transition code="KE" value="Known Error"/>
                    <transition code="PRBREJ" value="Rejected"/>
                    <transition code="RSCH" value="Researching"/>
                  </status>
                  <status value="Pending Change">
                    <transition code="CL" value="Closed"/>
                    <transition code="FXD" value="Fixed"/>
                    <transition code="KE" value="Known Error"/>
                    <transition code="RSCH" value="Researching"/>
                  </status>
                  <status value="Rejected">
                    <transition code="CL" value="Closed"/>
                    <transition code="CLNRSLV" value="Closed Unresolved"/>
                    <transition code="KE" value="Known Error"/>
                    <transition code="OP" value="Open"/>
                  </status>
                  <status value="Researching">
                    <transition code="ACK" value="Acknowledged"/>
                    <transition code="PRBANCOMP" value="Analysis Complete"/>
                    <transition code="PRBAPP" value="Approved"/>
                    <transition code="CNCL" value="Cancelled"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="FIP" value="Fix in Progress"/>
                    <transition code="FXD" value="Fixed"/>
                    <transition code="KE" value="Known Error"/>
                    <transition code="PRBREJ" value="Rejected"/>
                  </status>
                </ticket>
                <ticket type="cr">
                  <status value="Acknowledged">
                    <transition code="APP" value="Approval in Progress"/>
                    <transition code="AEUR" value="Awaiting End User Response"/>
                    <transition code="CNCL" value="Cancelled"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="HLD" value="Hold"/>
                    <transition code="OP" value="Open"/>
                  </status>
                  <status value="Approval in Progress">
                    <transition code="PRBAPP" value="Approved"/>
                    <transition code="AEUR" value="Awaiting End User Response"/>
                    <transition code="CNCL" value="Cancelled"/>
                    <transition code="CLREQ" value="Close Requested"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="HLD" value="Hold"/>
                    <transition code="OP" value="Open"/>
                  </status>
                  <status value="Approved">
                    <transition code="AWTVNDR" value="Awaiting Vendor"/>
                    <transition code="CLREQ" value="Close Requested"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="WIP" value="In Progress"/>
                    <transition code="PNDCHG" value="Pending Change"/>
                  </status>
                  <status value="Awaiting End User Response">
                    <transition code="APP" value="Approval in Progress"/>
                    <transition code="AWTVNDR" value="Awaiting Vendor"/>
                    <transition code="CNCL" value="Cancelled"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="PNDCHG" value="Pending Change"/>
                  </status>
                  <status value="Awaiting Vendor">
                    <transition code="AEUR" value="Awaiting End User Response"/>
                    <transition code="CNCL" value="Cancelled"/>
                    <transition code="CLREQ" value="Close Requested"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="HLD" value="Hold"/>
                    <transition code="PNDCHG" value="Pending Change"/>
                  </status>
                  <status value="Cancelled">
                    <transition code="ACK" value="Acknowledged"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="OP" value="Open"/>
                  </status>
                  <status value="Close Requested">
                    <transition code="AEUR" value="Awaiting End User Response"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="OP" value="Open"/>
                  </status>
                  <status value="Hold">
                    <transition code="ACK" value="Acknowledged"/>
                    <transition code="APP" value="Approval in Progress"/>
                    <transition code="PRBAPP" value="Approved"/>
                    <transition code="AWTVNDR" value="Awaiting Vendor"/>
                    <transition code="CLREQ" value="Close Requested"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="PNDCHG" value="Pending Change"/>
                  </status>
                  <status value="In Progress">
                    <transition code="AEUR" value="Awaiting End User Response"/>
                    <transition code="AWTVNDR" value="Awaiting Vendor"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="HLD" value="Hold"/>
                    <transition code="PNDCHG" value="Pending Change"/>
                  </status>
                  <status value="Open">
                    <transition code="ACK" value="Acknowledged"/>
                    <transition code="CNCL" value="Cancelled"/>
                    <transition code="CL" value="Closed"/>
                  </status>
                  <status value="Pending Change">
                    <transition code="AEUR" value="Awaiting End User Response"/>
                    <transition code="CLREQ" value="Close Requested"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="HLD" value="Hold"/>
                  </status>
                  <status value="Rejected">
                    <transition code="AEUR" value="Awaiting End User Response"/>
                    <transition code="CNCL" value="Cancelled"/>
                    <transition code="CLREQ" value="Close Requested"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="OP" value="Open"/>
                  </status>
                </ticket>
                <ticket type="iss">
                  <status value="Acknowledged">
                    <transition code="AEUR" value="Awaiting End User Response"/>
                    <transition code="AWTVNDR" value="Awaiting Vendor"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="CLNRSLV" value="Closed Unresolved"/>
                    <transition code="WIP" value="In Progress"/>
                    <transition code="OP" value="Open"/>
                    <transition code="PNDCHG" value="Pending Change"/>
                    <transition code="RE" value="Resolved"/>
                  </status>
                  <status value="Awaiting End User Response">
                    <transition code="ACK" value="Acknowledged"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="CLNRSLV" value="Closed Unresolved"/>
                    <transition code="WIP" value="In Progress"/>
                    <transition code="OP" value="Open"/>
                    <transition code="RSCH" value="Researching"/>
                    <transition code="RE" value="Resolved"/>
                  </status>
                  <status value="Awaiting Vendor">
                    <transition code="ACK" value="Acknowledged"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="WIP" value="In Progress"/>
                    <transition code="OP" value="Open"/>
                    <transition code="PNDCHG" value="Pending Change"/>
                    <transition code="RSCH" value="Researching"/>
                    <transition code="RE" value="Resolved"/>
                  </status>
                  <status value="Cancelled">
                    <transition code="CL" value="Closed"/>
                  </status>
                  <status value="Closed">
                    <transition code="ACK" value="Acknowledged"/>
                    <transition code="OP" value="Open"/>
                  </status>
                  <status value="Closed Unresolved">
                    <transition code="ACK" value="Acknowledged"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="OP" value="Open"/>
                  </status>
                  <status value="Hold">
                    <transition code="ACK" value="Acknowledged"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="WIP" value="In Progress"/>
                    <transition code="OP" value="Open"/>
                    <transition code="PNDCHG" value="Pending Change"/>
                    <transition code="RE" value="Resolved"/>
                  </status>
                  <status value="In Progress">
                    <transition code="ACK" value="Acknowledged"/>
                    <transition code="AEUR" value="Awaiting End User Response"/>
                    <transition code="AWTVNDR" value="Awaiting Vendor"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="CLNRSLV" value="Closed Unresolved"/>
                    <transition code="OP" value="Open"/>
                    <transition code="PNDCHG" value="Pending Change"/>
                    <transition code="RSCH" value="Researching"/>
                    <transition code="RE" value="Resolved"/>
                  </status>
                  <status value="Open">
                    <transition code="ACK" value="Acknowledged"/>
                    <transition code="AVOID" value="Avoided by Self Service"/>
                    <transition code="AEUR" value="Awaiting End User Response"/>
                    <transition code="AWTVNDR" value="Awaiting Vendor"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="CLNRSLV" value="Closed Unresolved"/>
                    <transition code="WIP" value="In Progress"/>
                    <transition code="PNDCHG" value="Pending Change"/>
                    <transition code="RE" value="Resolved"/>
                  </status>
                  <status value="Pending Change">
                    <transition code="ACK" value="Acknowledged"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="WIP" value="In Progress"/>
                    <transition code="OP" value="Open"/>
                    <transition code="RSCH" value="Researching"/>
                    <transition code="RE" value="Resolved"/>
                  </status>
                  <status value="Researching">
                    <transition code="CL" value="Closed"/>
                    <transition code="OP" value="Open"/>
                    <transition code="RE" value="Resolved"/>
                  </status>
                  <status value="Resolved">
                    <transition code="AEUR" value="Awaiting End User Response"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="OP" value="Open"/>
                  </status>
                </ticket>
                <ticket type="chg">
                  <status value="Approval in Progress">
                    <transition code="APR" value="Approved"/>
                    <transition code="CNCL" value="Cancelled"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="REJ" value="Rejected"/>
                  </status>
                  <status value="Approved">
                    <transition code="CNCL" value="Cancelled"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="IMPL" value="Implementation in progress"/>
                    <transition code="SCHDLD" value="Scheduled"/>
                  </status>
                  <status value="Backed Out">
                    <transition code="APP" value="Approval in Progress"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="OP" value="Open"/>
                    <transition code="RFC" value="RFC"/>
                  </status>
                  <status value="Cancelled">
                    <transition code="CL" value="Closed"/>
                  </status>
                  <status value="Customer Hold">
                    <transition code="CNCL" value="Cancelled"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="IMPL" value="Implementation in progress"/>
                    <transition code="REJ" value="Rejected"/>
                    <transition code="SCHDLD" value="Scheduled"/>
                    <transition code="VRFY" value="Verification in progress"/>
                  </status>
                  <status value="Hold">
                    <transition code="CNCL" value="Cancelled"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="IMPL" value="Implementation in progress"/>
                    <transition code="SCHDLD" value="Scheduled"/>
                  </status>
                  <status value="Implementation in progress">
                    <transition code="BACK" value="Backed Out"/>
                    <transition code="CNCL" value="Cancelled"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="CSTHLD" value="Customer Hold"/>
                    <transition code="REJ" value="Rejected"/>
                    <transition code="SCHDLD" value="Scheduled"/>
                    <transition code="VNDHLD" value="Vendor Hold"/>
                    <transition code="VRFY" value="Verification in progress"/>
                  </status>
                  <status value="Open">
                    <transition code="APP" value="Approval in Progress"/>
                    <transition code="CNCL" value="Cancelled"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="CSTHLD" value="Customer Hold"/>
                    <transition code="IMPL" value="Implementation in progress"/>
                    <transition code="REJ" value="Rejected"/>
                    <transition code="RFC" value="RFC"/>
                    <transition code="SCHDLD" value="Scheduled"/>
                    <transition code="VNDHLD" value="Vendor Hold"/>
                  </status>
                  <status value="Rejected">
                    <transition code="APP" value="Approval in Progress"/>
                    <transition code="CNCL" value="Cancelled"/>
                    <transition code="CL" value="Closed"/>
                  </status>
                  <status value="RFC">
                    <transition code="APP" value="Approval in Progress"/>
                    <transition code="APR" value="Approved"/>
                    <transition code="CNCL" value="Cancelled"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="CSTHLD" value="Customer Hold"/>
                    <transition code="IMPL" value="Implementation in progress"/>
                    <transition code="OP" value="Open"/>
                    <transition code="REJ" value="Rejected"/>
                    <transition code="SCHDLD" value="Scheduled"/>
                    <transition code="VNDHLD" value="Vendor Hold"/>
                  </status>
                  <status value="Scheduled">
                    <transition code="CNCL" value="Cancelled"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="CSTHLD" value="Customer Hold"/>
                    <transition code="IMPL" value="Implementation in progress"/>
                    <transition code="VNDHLD" value="Vendor Hold"/>
                    <transition code="VRFY" value="Verification in progress"/>
                  </status>
                  <status value="Vendor Hold">
                    <transition code="CNCL" value="Cancelled"/>
                    <transition code="CL" value="Closed"/>
                    <transition code="IMPL" value="Implementation in progress"/>
                    <transition code="SCHDLD" value="Scheduled"/>
                  </status>
                  <status value="Verification in progress">
                    <transition code="BACK" value="Backed Out"/>
                    <transition code="CL" value="Closed"/>
                  </status>
                </ticket>
              </transitions>;

/**
 * Create the response options from the static transitions XML variable
 * @param ticketFactory ticket type 
 * @param currentStatus current ticket status
 * @return array of response options based on the ticket type and current state
 */
function getStaticResponseOptions(ticketFactory, currentStatus)              
{
  this.log.debug("Building Response Options from transitions XML");
  var validResponses = [];
  var index = 0;

  // Add Ignore as the first option if enabled for this integration
  if (ADD_IGNORE_RESPONSE)
  {
      validResponses[index++] = "IGN=Ignore";
  }

  var transitionList = transitions.ticket.(@type == ticketFactory).status.(@value == currentStatus).transition;
  log.debug("TransitionList Size: " + transitionList.length());
  for each (transition in transitionList)
  {
    validResponses[index++] = transition.@code + "=" + transition.@value;
  }
  validResponses[index++] = "Annotate=Annotate";
  this.log.debug("ValidResponses: " + validResponses.toString());
  return validResponses;
}